Home
last modified time | relevance | path

Searched refs:tempdir (Results 1 – 25 of 88) sorted by relevance

1234

/netbsd-src/external/gpl2/gettext/dist/gettext-tools/gnulib-lib/
H A Dclean-temp.c79 struct tempdir struct
94 struct tempdir * volatile * volatile tempdir_list; argument
207 struct tempdir *dir = cleanup_list.tempdir_list[i]; in cleanup()
251 struct tempdir * volatile *tmpdirp = NULL; in create_temp_dir()
252 struct tempdir *tmpdir; in create_temp_dir()
272 struct tempdir * volatile *old_array = cleanup_list.tempdir_list; in create_temp_dir()
275 struct tempdir * volatile *new_array = in create_temp_dir()
276 (struct tempdir * volatile *) in create_temp_dir()
277 xmalloc (new_allocated * sizeof (struct tempdir * volatile)); in create_temp_dir()
298 free ((struct tempdir **) old_array); in create_temp_dir()
[all …]
/netbsd-src/external/ibm-public/postfix/dist/
H A Dpostfix-install313 rm -f $tempdir/junk || exit 1
315 cp $src $tempdir/junk || exit 1
316 test -z "$keep_build_mtime" || touch -r $src $tempdir/junk || exit 1
317 mv -f $tempdir/junk $dst || exit 1
456 : ${tempdir=`pwd`}
461 test -z "$non_interactive" && for name in install_root tempdir config_directory
626 test -d $tempdir || mkdir -p $tempdir || exit 1
628 trap "rm -f $tempdir/junk" 0 1 2 3 15
630 ( rm -f $tempdir/junk && touch $tempdir/junk ) || {
631 echo $0: Error: you have no write permission to $tempdir. 1>&2
[all …]
/netbsd-src/external/gpl3/gcc.old/dist/gcc/jit/
H A Djit-tempdir.c69 gcc::jit::tempdir::tempdir (logger *logger, int keep_intermediates) in tempdir() function
86 gcc::jit::tempdir::create () in create()
116 gcc::jit::tempdir::~tempdir () in ~tempdir()
H A Djit-tempdir.h48 class tempdir : public log_user
51 tempdir (logger *logger, int keep_intermediates);
52 ~tempdir ();
H A Djit-result.h32 result(logger *logger, void *dso_handle, tempdir *tempdir_);
44 tempdir *m_tempdir;
H A Dnotes.txt24 . . │ (create tempdir) .
100 . . │ Normally we cleanup the tempdir here:
131 . . │ cleanup of the tempdir was delayed.
H A Djit-result.c36 result(logger *logger, void *dso_handle, tempdir *tempdir_) : in result()
H A Djit-common.h104 class tempdir; variable
/netbsd-src/external/gpl3/gcc/dist/gcc/jit/
H A Djit-tempdir.cc74 gcc::jit::tempdir::tempdir (logger *logger, int keep_intermediates) in tempdir() function in gcc::jit::tempdir
91 gcc::jit::tempdir::create () in create()
126 gcc::jit::tempdir::~tempdir () in ~tempdir()
H A Djit-tempdir.h48 class tempdir : public log_user
51 tempdir (logger *logger, int keep_intermediates);
52 ~tempdir ();
H A Djit-result.h42 result(logger *logger, handle dso_handle, tempdir *tempdir_);
54 tempdir *m_tempdir;
H A Dnotes.txt24 . . │ (create tempdir) .
100 . . │ Normally we cleanup the tempdir here:
131 . . │ cleanup of the tempdir was delayed.
H A DChangeLog329 * jit-tempdir.c: Moved to...
330 * jit-tempdir.cc: ...here.
865 * jit-tempdir.c: Do not use mkdtemp() in Windows, use
1678 Potentially add the temporary artifact to the tempdir's list of
1682 * jit-tempdir.c (gcc::jit::tempdir::~tempdir): Clean up additional
1684 * jit-tempdir.h (gcc::jit::tempdir::add_temp_file): New method.
1685 (gcc::jit::tempdir::m_tempfiles): New field.
2903 shows tempdir creation/cleanup.
2905 * jit-logging.h (class gcc::jit::log_user): Add gcc::jit::tempdir
2908 comment clarifying when the tempdir gets cleaned up.
[all …]
H A Djit-result.cc40 result(logger *logger, handle dso_handle, tempdir *tempdir_) : in result()
H A Djit-common.h104 class tempdir; variable
/netbsd-src/external/gpl3/gcc/dist/gcc/jit/docs/internals/
H A Dtest-hello-world.exe.log.txt76 JIT: entering: gcc::jit::tempdir::tempdir(gcc::jit::logger*, int)
77 JIT: exiting: gcc::jit::tempdir::tempdir(gcc::jit::logger*, int)
78 JIT: entering: bool gcc::jit::tempdir::create()
81 JIT: exiting: bool gcc::jit::tempdir::create()
142 JIT: GCC_JIT_BOOL_OPTION_DEBUGINFO was set: handing over tempdir to jit::result
143 JIT: entering: gcc::jit::result::result(gcc::jit::logger*, void*, gcc::jit::tempdir*)
144 JIT: exiting: gcc::jit::result::result(gcc::jit::logger*, void*, gcc::jit::tempdir*)
169 JIT: entering: gcc::jit::tempdir::~tempdir()
172 JIT: removing tempdir: /tmp/libgccjit-CKq1M9
173 JIT: exiting: gcc::jit::tempdir::~tempdir()
/netbsd-src/external/gpl3/gcc.old/dist/gcc/jit/docs/internals/
H A Dtest-hello-world.exe.log.txt76 JIT: entering: gcc::jit::tempdir::tempdir(gcc::jit::logger*, int)
77 JIT: exiting: gcc::jit::tempdir::tempdir(gcc::jit::logger*, int)
78 JIT: entering: bool gcc::jit::tempdir::create()
81 JIT: exiting: bool gcc::jit::tempdir::create()
142 JIT: GCC_JIT_BOOL_OPTION_DEBUGINFO was set: handing over tempdir to jit::result
143 JIT: entering: gcc::jit::result::result(gcc::jit::logger*, void*, gcc::jit::tempdir*)
144 JIT: exiting: gcc::jit::result::result(gcc::jit::logger*, void*, gcc::jit::tempdir*)
169 JIT: entering: gcc::jit::tempdir::~tempdir()
172 JIT: removing tempdir: /tmp/libgccjit-CKq1M9
173 JIT: exiting: gcc::jit::tempdir::~tempdir()
/netbsd-src/external/gpl3/autoconf/dist/build-aux/
H A Delisp-comp63 tempdir=elc.$$
73 mkdir $tempdir
74 cp "$@" $tempdir
77 cd $tempdir
/netbsd-src/external/gpl2/texinfo/dist/util/
H A Dtxitextest18 tempdir=/u/texinfo/@tests/testdir
27 --t*) shift; tempdir="$1";;
37 cd $tempdir || exit 1
/netbsd-src/external/gpl3/gcc/dist/libgfortran/io/
H A Dunix.c1200 tempfile_open (const char *tempdir, char **fname) in tempfile_open() argument
1208 if (!tempdir) in tempfile_open()
1213 size_t tempdirlen = strlen (tempdir); in tempfile_open()
1214 if (*tempdir == 0 || tempdir[tempdirlen - 1] == '/' in tempfile_open()
1216 || tempdir[tempdirlen - 1] == '\\' in tempfile_open()
1226 tempdir, slash); in tempfile_open()
1258 tempdir, slash); in tempfile_open()
1301 const char *tempdir; in tempfile() local
1305 tempdir = secure_getenv ("TMPDIR"); in tempfile()
1306 fd = tempfile_open (tempdir, &fname); in tempfile()
[all …]
/netbsd-src/external/gpl3/gcc.old/dist/libgfortran/io/
H A Dunix.c1200 tempfile_open (const char *tempdir, char **fname) in tempfile_open() argument
1208 if (!tempdir) in tempfile_open()
1213 size_t tempdirlen = strlen (tempdir); in tempfile_open()
1214 if (*tempdir == 0 || tempdir[tempdirlen - 1] == '/' in tempfile_open()
1216 || tempdir[tempdirlen - 1] == '\\' in tempfile_open()
1226 tempdir, slash); in tempfile_open()
1258 tempdir, slash); in tempfile_open()
1301 const char *tempdir; in tempfile() local
1305 tempdir = secure_getenv ("TMPDIR"); in tempfile()
1306 fd = tempfile_open (tempdir, &fname); in tempfile()
[all …]
/netbsd-src/external/gpl2/gettext/dist/build-aux/
H A Delisp-comp67 trap 'ret=$?; rm -rf "$tempdir" && exit $ret' 0
/netbsd-src/external/apache2/llvm/dist/clang/utils/analyzer/
H A Dreducer.pl15 my $dir = tempdir( CLEANUP => 1 );
/netbsd-src/external/bsd/kyua-cli/dist/utils/fs/
H A Doperations_test.cpp291 const fs::path tempdir = fs::mkdtemp(dir_template); in ATF_TEST_CASE_BODY() local
293 ATF_REQUIRE(lookup("tmp", tempdir.leaf_name().c_str(), DT_DIR)); in ATF_TEST_CASE_BODY()
/netbsd-src/external/apache2/llvm/dist/libcxx/utils/
H A Dssh.py61 …tmp = subprocess.check_output(ssh(args, 'mktemp -d {}/libcxx.XXXXXXXXXX'.format(args.tempdir)), un…

1234